repository intelligence
Update repository intelligence reject
Requires scopes: eval:write
PATCH
/
api
/
repository-intelligence
/
repositories
/
{repositoryId}
/
objectives
/
{candidateId}
/
reject
Update repository intelligence reject
curl --request PATCH \
--url https://evalgate.com/api/repository-intelligence/repositories/{repositoryId}/objectives/{candidateId}/reject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": "<string>"
}
'import requests
url = "https://evalgate.com/api/repository-intelligence/repositories/{repositoryId}/objectives/{candidateId}/reject"
payload = { "note": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: '<string>'})
};
fetch('https://evalgate.com/api/repository-intelligence/repositories/{repositoryId}/objectives/{candidateId}/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"candidate": {
"title": "<string>",
"confidence": 123,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contentHash": "<string>",
"repositoryId": 123,
"reviewedBy": "<string>",
"reviewedAt": "2023-11-07T05:31:56Z",
"unitOfWork": "<string>",
"state": "rejected",
"graphVersionId": "<string>",
"aiSystemNodeId": "<string>",
"proposedSuccessDefinition": "<string>",
"supportingNodeIds": [
"<string>"
],
"supportingSourceLocatorIds": [
"<string>"
],
"reviewNote": "<string>"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
⌘I
Update repository intelligence reject
